Get session results
curl --request GET \
--url https://api.example.com/api/v1/sessions/{session_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/sessions/{session_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/sessions/{session_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"total_results": 123,
"results": [
{}
],
"columns": [
"<string>"
],
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Session Management
Get session results
Retrieve processing results for a completed or in-progress session
GET
/
api
/
v1
/
sessions
/
{session_id}
/
results
Get session results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful Response
Response model for session results.
Session identifier
Total number of results
Processing results
Column order from dataset schema (for display ordering)
Dataset metadata for display (name, label, source)
⌘I